## Video Video — Video. |

## Synopsis

                        flickcurl_video;
    void                flickcurl_free_video                (flickcurl_video *video);

## Description

Video.

## Details

### flickcurl_video

    typedef struct {
      int ready;
      int failed;
      int pending;
      int duration;
      int width;
      int height;
    } flickcurl_video;

A video.

int `ready`; | video is ready flag
int `failed`; | video failed
int `pending`; | video pending
int `duration`; | video duration in seconds
int `width`; | video width
int `height`; | video height

### flickcurl_free_video ()

    void                flickcurl_free_video                (flickcurl_video *video);

Destructor for video object

`video` : | video object